---
kind: ConfigMap
apiVersion: v1
metadata:
  name: nginx-cm
  namespace: wrj
  labels:
    cmii.type: frontend
data:
  nginx.conf: |
    user root;
    worker_processes  auto;

    events {
        worker_connections  1024;
    }
    http {
        include       mime.types;
        default_type  application/octet-stream;

        sendfile        on;

        keepalive_timeout  600;

        server {
            listen       9528;
            server_name  localhost;
            gzip on;

            location / {
                root   /home/cmii-platform/dist;
                index  index.html index.htm;
            }

            error_page   500 502 503 504  /50x.html;
            location = /50x.html {
                root   html;
            }
        }
    }
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-emergency-rescue
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-emergency-rescue
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-emergency-rescue
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-emergency-rescue
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-emergency-rescue
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-emergency-rescue:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-emergency-rescue
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-emergency
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-emergency-rescue
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-emergency-rescue
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-emergency-rescue
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-security
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-security
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-security
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-security
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-security:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-security
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-security
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-security
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-jiangsuwenlv
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-jiangsuwenlv
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-jiangsuwenlv
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-jiangsuwenlv
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-jiangsuwenlv
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-jiangsuwenlv:4.1.3-jiangsu-0427
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-jiangsuwenlv
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-jiangsuwenlv
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-jiangsuwenlv
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-jiangsuwenlv
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-jiangsuwenlv
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-visualization
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-visualization
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-visualization
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-visualization
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-visualization:5.2.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-visualization
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-visualization
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-visualization
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-open
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-open
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-open
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-open
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-open:5.6.0-0611
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-open
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-open
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-open
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-base
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-base
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-base
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-base
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-base
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-base:5.4.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-base
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-base
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-base
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-base
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-base
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-splice
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-splice
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-splice
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-splice
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-splice:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-splice
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-splice
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-splice
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-media
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-media
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-media
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-media
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-media
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-media:5.6.0-0702
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-media
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-media
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-media
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-media
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-media
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-qingdao
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qingdao
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-qingdao
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-qingdao
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-qingdao
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-qingdao:4.1.6-24238-qingdao
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-qingdao
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-qingdao
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-qingdao
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qingdao
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qingdao
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-share
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-share
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-share
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-share
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-share:5.6.0-070203
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-share
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-share
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-share
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-suav-platform-supervision
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervision
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-suav-platform-supervision
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-suav-platform-supervision
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-suav-platform-supervision
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-suav-platform-supervision:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-suav-platform-supervision
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-supervision
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-suav-platform-supervision
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervision
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervision
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-securityh5
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-securityh5
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-securityh5
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-securityh5
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-securityh5
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-securityh5:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-securityh5
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-securityh5
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-securityh5
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-securityh5
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-securityh5
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-multiterminal
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-multiterminal
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-multiterminal
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-multiterminal
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-multiterminal
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-multiterminal:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-multiterminal
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-multiterminal
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-multiterminal
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-multiterminal
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-multiterminal
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-hljtt
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-hljtt
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-hljtt
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-hljtt
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-hljtt
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-hljtt:5.3.0-hjltt
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-hljtt
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-hljtt
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-hljtt
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-hljtt
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-hljtt
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-logistics
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-logistics
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-logistics
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-logistics
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-logistics
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-logistics:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-logistics
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-logistics
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-logistics
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-logistics
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-logistics
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-detection
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-detection
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-detection
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-detection
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-detection:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-detection
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-detection
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-detection
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform:5.6.0-070203
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-pangu
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-mws
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-mws
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-mws
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-mws
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-mws:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-mws
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-mws
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-mws
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-oms
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-oms
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-oms
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-oms
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-oms:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-oms
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-oms
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-oms
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-qinghaitourism
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qinghaitourism
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-qinghaitourism
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-qinghaitourism
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-qinghaitourism
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-qinghaitourism:4.1.0-21377-0508
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-qinghaitourism
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-qinghaitourism
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-qinghaitourism
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qinghaitourism
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qinghaitourism
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-seniclive
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-seniclive
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-seniclive
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-seniclive
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-seniclive
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-seniclive:5.2.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-seniclive
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-seniclive
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-seniclive
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-seniclive
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-seniclive
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-suav-platform-supervisionh5
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervisionh5
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-suav-platform-supervisionh5
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-suav-platform-supervisionh5
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-suav-platform-supervisionh5
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-suav-platform-supervisionh5:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-suav-platform-supervisionh5
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-supervisionh5
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-suav-platform-supervisionh5
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervisionh5
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervisionh5
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-armypeople
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-armypeople
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-armypeople
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-armypeople
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-armypeople
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-armypeople:5.6.0-28028-070303
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-armypeople
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-armypeople
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-armypeople
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-armypeople
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-armypeople
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-cms-portal
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-cms-portal
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-cms-portal
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-cms-portal
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-cms-portal:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-cms-portal
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-cmsportal
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-cms-portal
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-threedsimulation
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-threedsimulation
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-threedsimulation
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-threedsimulation
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-threedsimulation
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-threedsimulation:5.2.0-21392
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-threedsimulation
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-threedsimulation
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-threedsimulation
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-threedsimulation
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-threedsimulation
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-ai-brain
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.6.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-ai-brain
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-ai-brain
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-ai-brain
          image: chongqingcis-9b4a3da9.ecis.chongqing-1.cmecloud.cn/cmii/cmii-uav-platform-ai-brain:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: wrj
            - name: APPLICATION_NAME
              value: cmii-uav-platform-ai-brain
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-ai-brain
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-ai-brain
  namespace: wrj
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.6.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
